<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:27 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.util.RSMSwitch (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.util.RSMSwitch (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/util/RSMSwitch.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.util">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/util/class-use/RSMSwitch.html" target="_top">Frames</a></li>
<li><a href="RSMSwitch.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.util.RSMSwitch" class="title">Uses of Class<br>org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.util.RSMSwitch</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/util/RSMSwitch.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.util">RSMSwitch</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.util">org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.util</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.util">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/util/RSMSwitch.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.util">RSMSwitch</a> in <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/util/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.util</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/util/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.util</a> declared as <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/util/RSMSwitch.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.util">RSMSwitch</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/util/RSMSwitch.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.util">RSMSwitch</a>&lt;org.eclipse.emf.common.notify.Adapter&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RSMAdapterFactory.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/util/RSMAdapterFactory.html#modelSwitch">modelSwitch</a></span></code>
<div class="block">The switch that delegates to the <code>createXXX</code> methods.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/util/RSMSwitch.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.util">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/util/class-use/RSMSwitch.html" target="_top">Frames</a></li>
<li><a href="RSMSwitch.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
